%define name	geneweb
%define version 5.01
%define release %mkrel 1

Summary:	Genealogy software with a Web interface
Summary(de): eine genealogische Software mit einem Web-Interface
Summary(fr): un logiciel de gnalogie dot d'une interface Web
Summary(nl): een genealogisch programma met een www-interface
Summary(se): ett genealogi program med ett webbinterface
Name:		%{name}
Version:	%{version}
Release:	%{release}
Copyright:	GPL
#Vendor:		INRIA
Group:		Applications
Source0:		%{name}-%{version}.tgz
Source1:		geneweb.png
Source2:		genealogy.png
URL: http://cristal.inria.fr/~ddr/GeneWeb/
Packager: DidouPh <didouph@gmail.com>
BuildRequires: camlp5 glibc gcc-c++
Requires: camlp5 glibc

BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot

%description
GeneWeb is a genealogy software with a Web interface. It can be used
off-line or as a Web service.

%description -l de
GeneWeb ist eine genealogische Software mit einem Web-Interface.
Sie kann off-line oder als ein Web-Service genutzt werden.

%description -l fr
GeneWeb est un logiciel de gnalogie dot d'une interface Web. Il
peut tre utilis non connect au rseau ou comme un service Web.

%description -l nl
GeneWeb is een genealogisch programma met een www-interface, dat kan
gebruikt worden op computers met of zonder permanente verbinding met
het Internet.

%description -l se
GeneWeb r ett genealogi program med ett webbinterface. Det kan anvndas 
nedkopplad eller som en webbtjnst.

%prep
rm -rf %{buildroot}

%setup -q
./configure --prefix=%{_prefix}

%build
make opt
make distrib

%install
mkdir -p %{buildroot}/home/geneweb
mkdir -p %{buildroot}/etc/rc.d/init.d
mkdir -p %{buildroot}/etc/logrotate.d
mkdir -p %{buildroot}/%{_datadir}/icons
mkdir -p %{buildroot}/%{_datadir}/pixmaps/
cp -r distribution %{buildroot}/home/geneweb/gw
cp rpm/geneweb-initrc.sh %{buildroot}/etc/rc.d/init.d/gwd
cp rpm/geneweb-logrotate %{buildroot}/etc/logrotate.d/gwd
cp %{SOURCE1} %{buildroot}/%{_datadir}/icons/%{name}.png

#xdg menu category
install -d -m755 %{buildroot}/%{_sysconfdir}/xdg/menus/applications-merged
cat > %{buildroot}/%{_sysconfdir}/xdg/menus/applications-merged/genealogy.menu <<EOF
<!DOCTYPE Menu PUBLIC "-//freedesktop//DTD Menu 1.0//EN"
"http://www.freedesktop.org/standards/menu-spec/menu-1.0.dtd">
<Menu>
    <Name>Applications</Name>
    <Menu>
          <Name>Office</Name>
          <Menu>
              <Name>Genealogy</Name>
              <Directory>genealogy.directory</Directory>
                  <Include>
                      <Category>X-PCLinuxOS-Office-Genealogy</Category>
                  </Include>
          </Menu>
    </Menu>
</Menu>

EOF

#xdg menu category dir
install -D -m 0644 %{SOURCE2} %{buildroot}/%{_datadir}/pixmaps/
install -d -m755 %{buildroot}/%{_datadir}/desktop-directories
cat > %{buildroot}/%{_datadir}/desktop-directories/genealogy.directory <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=Genealogy
Icon=genealogy.png
Type=Directory
EOF

desktop-file-install \
   --vendor="" \
   --dir %{buildroot}/%{_datadir}/desktop-directories \
   %{buildroot}/%{_datadir}/desktop-directories/genealogy.directory
   
# creating desktop entry
mkdir -p %{buildroot}/%{_datadir}/applications
cat > %{buildroot}/%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Categories=Office;Database;KDE;X-PCLinuxOS-Office-Genealogy;
Comment=Genealogy software / Web interface
Comment[fr]=Logiciel de Genealogie / Interface Web
Encoding=UTF-8
Exec=konqueror http://localhost:2316/
GenericName=Genealogy Server
GenericName[fr]=Serveur de Genealogie
Icon=geneweb.png
Name=geneweb
StartupNotify=true
Terminal=false
Type=Application
URL=konqueror http://localhost:2316/
Version=1.0
X-KDE-SubstituteUID=false
EOF

# adding menu entry
desktop-file-install \
   --vendor="" \
   --add-category="X-PCLinuxOS-Office-Genealogy"\
   --dir %{buildroot}/%{_datadir}/applications \
   %{buildroot}/%{_datadir}/applications/%{name}.desktop
   
%clean
make clean
rm -rf $RPM_BUILD_ROOT

%pre
/usr/sbin/groupadd geneweb || :
/usr/sbin/useradd -d /home/geneweb -g geneweb -c "GeneWeb database" geneweb || :
chmod a+rx /home/geneweb

%post
%{update_desktop_database}
%{update_menus}
/sbin/ldconfig
chown -R geneweb.geneweb /home/geneweb/gw
chkconfig --add gwd
/etc/rc.d/init.d/gwd start

%preun
/etc/rc.d/init.d/gwd stop
chkconfig --del gwd
rm -f /etc/init.d/gwd

%postun
/sbin/ldconfig
%{clean_menus}
# cd /home/geneweb/gw/gw
# rm -rf doc etc images lang setup gwtp_tmp

%files
%defattr(-,geneweb,geneweb)
%attr(6750, geneweb, geneweb) /home/geneweb/gw/gw/gwd
%attr(6750, geneweb, geneweb) /home/geneweb/gw/gw/gwsetup
%attr(6750, geneweb, geneweb) /home/geneweb/gw/gw/ged2gwb
%attr(6750, geneweb, geneweb) /home/geneweb/gw/gw/gwb2ged
%attr(6750, geneweb, geneweb) /home/geneweb/gw/gw/gwc
%attr(6750, geneweb, geneweb) /home/geneweb/gw/gw/gwu
%attr(6750, geneweb, geneweb) /home/geneweb/gw/gw/consang
%attr(6750, geneweb, geneweb) /home/geneweb/gw/gw/gwtp_tmp/gwtp
%attr(755, root, root) /etc/rc.d/init.d/gwd
%attr(644, root, root) /etc/logrotate.d/gwd
/home/geneweb/gw/*
%defattr(-,root,root)
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/%{name}.png
%doc doc/*
%{_sysconfdir}/xdg/menus/applications-merged/genealogy.menu
%{_datadir}/desktop-directories/genealogy.directory
%{_datadir}/pixmaps/genealogy.png

%changelog
* Thu Jan 22 2008 DidouPh <didouph@gmail.com> 5.01
- ported to pclinuxos

* Sat Nov 10 2000 Daniel de Rauglaudre
- Used chkconfig (Eddie Bindt's hint)

* Thu Nov  9 2000 Ludovic Ledieu
- Simplified files list (a directory includes its contents). It's thus easier
  to maintain the list.
- Removed doc in /usr/doc/geneweb-<version>

* Tue Nov  7 2000 Daniel de Rauglaudre
Version 3.10
- No more installation of geneweb-initrc.sh in SOURCES: it is directly
  copied from BUILD/geneweb-xx/rpm. In that file, added -log for gwd and
  gwsetup.
- Added /etc/logrotate.d/gwd

* Sun Apr  9 2000 Daniel de Rauglaudre
Version 3.03-2
- added set user id bit also for gwc gwu ged2gwb gwb2ged consang because
  were not launched as geneweb user (seemed to depend on the Linux version)

* Tue Dec  7 1999 Daniel de Rauglaudre
Version 3.01
- updated the file list

* Mon Oct  4 1999 Daniel de Rauglaudre
Version 2.07-2
- added RPM_BUILD_ROOT to install the package in /tmp

* Sun Sep 6 1999 Daniel de Rauglaudre
Version 2.06-5
- updated file list

* Sun Sep 5 1999 Daniel de Rauglaudre
Version 2.06-4
Deleted option -r in useradd (Redhat specific)

* Sat Aug 14 1999 Dan Kegel <dank@alumni.caltech.edu>
Created.
